Moneybird logo
Changelog

2026-10-26

API Changelog v2-20261023-983a0ff04d vs. v2-20261026-9251128ff4

GET /{administration_id}/ledger_accounts/{id}{format}

  • ⚠️ the response property taxonomy_item became nullable for the status 200

PATCH /{administration_id}/ledger_accounts/{id}{format}

  • ⚠️ removed the enum value financial_mutation of the request property ledger_account/allowed_document_types
  • ⚠️ removed the enum value general_journal_document of the request property ledger_account/allowed_document_types
  • ⚠️ removed the enum value payment of the request property ledger_account/allowed_document_types
  • ⚠️ removed the enum value purchase_invoice of the request property ledger_account/allowed_document_types
  • ⚠️ removed the enum value sales_invoice of the request property ledger_account/allowed_document_types
  • ⚠️ the ledger_account/allowed_document_types request property type changed from string to array<string>
  • ⚠️ the response property taxonomy_item became nullable for the status 200
  • the ledger_account/account_id request property type was widened from string to string, integer

GET /{administration_id}/ledger_accounts{format}

  • ⚠️ the response property items/taxonomy_item became nullable for the status 200

POST /{administration_id}/ledger_accounts{format}

  • ⚠️ removed the enum value financial_mutation of the request property ledger_account/allowed_document_types
  • ⚠️ removed the enum value general_journal_document of the request property ledger_account/allowed_document_types
  • ⚠️ removed the enum value payment of the request property ledger_account/allowed_document_types
  • ⚠️ removed the enum value purchase_invoice of the request property ledger_account/allowed_document_types
  • ⚠️ removed the enum value sales_invoice of the request property ledger_account/allowed_document_types
  • ⚠️ the ledger_account/allowed_document_types request property type changed from string to array<string>
  • ⚠️ the response property taxonomy_item became nullable for the status 201
  • removed the pattern ^\d+$ from the request property ledger_account/account_id

PATCH /{administration_id}/products/{id}{format}

  • ⚠️ added the pattern ^\d+:(day|week|month|quarter|year|custom|nil)$ to the request property product/frequency_preset

POST /{administration_id}/products{format}

  • ⚠️ added the pattern ^\d+:(day|week|month|quarter|year|custom|nil)$ to the request property product/frequency_preset

GET /{administration_id}/reports/creditors_aging{format}

  • the creditors/items/aging_buckets response property's maxItems was set to 4 for the response status 200
  • the creditors/items/aging_buckets response property's minItems was set to 4 for the response status 200

GET /{administration_id}/reports/debtors_aging{format}

  • the debtors/items/aging_buckets response property's maxItems was set to 4 for the response status 200
  • the debtors/items/aging_buckets response property's minItems was set to 4 for the response status 200

GET /{administration_id}/reports/journal_entries{format}

  • removed the optional property items/administration_id from the response with the 200 status

GET /{administration_id}/reports/ledger_accounts/{ledger_account_id}{format}

  • removed the optional property items/administration_id from the response with the 200 status

GET /{administration_id}/reports/tax{format}

  • ⚠️ the response property allOf[#/components/schemas/tax_report_amounts]/tax_rates/items/percentage became nullable for the status 200
  • ⚠️ the response property allOf[subschema #2]/periods/items/allOf[#/components/schemas/tax_report_amounts]/tax_rates/items/percentage became nullable for the status 200

GET /{administration_id}/task_list_groups/{id}{format}

  • ⚠️ the response property tasks/items/task_lists_group_id became nullable for the status 200

PATCH /{administration_id}/task_list_groups/{id}{format}

  • ⚠️ the response property tasks/items/task_lists_group_id became nullable for the status 200

POST /{administration_id}/task_list_groups/{task_list_group_id}/tasks{format}

  • ⚠️ the response property task_lists_group_id became nullable for the status 201

GET /{administration_id}/task_list_tasks/{id}{format}

  • ⚠️ the response property task_lists_group_id became nullable for the status 200

PATCH /{administration_id}/task_list_tasks/{id}{format}

  • ⚠️ the response property task_lists_group_id became nullable for the status 200

DELETE /{administration_id}/task_list_tasks/{task_list_task_id}/assignment{format}

  • ⚠️ the response property task_lists_group_id became nullable for the status 200

POST /{administration_id}/task_list_tasks/{task_list_task_id}/assignment{format}

  • ⚠️ the response property task_lists_group_id became nullable for the status 200

DELETE /{administration_id}/task_list_tasks/{task_list_task_id}/completion{format}

  • ⚠️ the response property task_lists_group_id became nullable for the status 200

POST /{administration_id}/task_list_tasks/{task_list_task_id}/completion{format}

  • ⚠️ the response property task_lists_group_id became nullable for the status 200

GET /{administration_id}/task_list_templates/{id}{format}

  • ⚠️ the response property groups/items/tasks/items/task_lists_group_id became nullable for the status 200

PATCH /{administration_id}/task_list_templates/{id}{format}

  • ⚠️ the response property groups/items/tasks/items/task_lists_group_id became nullable for the status 200

POST /{administration_id}/task_list_templates/{task_list_template_id}/groups{format}

  • ⚠️ the response property tasks/items/task_lists_group_id became nullable for the status 201

POST /{administration_id}/task_list_templates/{task_list_template_id}/task_lists{format}

  • ⚠️ the response property groups/items/tasks/items/task_lists_group_id became nullable for the status 201

GET /{administration_id}/task_list_templates{format}

  • ⚠️ the response property items/groups/items/tasks/items/task_lists_group_id became nullable for the status 200

POST /{administration_id}/task_list_templates{format}

  • ⚠️ the response property groups/items/tasks/items/task_lists_group_id became nullable for the status 201

GET /{administration_id}/task_lists/{id}{format}

  • ⚠️ the response property groups/items/tasks/items/task_lists_group_id became nullable for the status 200

PATCH /{administration_id}/task_lists/{id}{format}

  • ⚠️ the response property groups/items/tasks/items/task_lists_group_id became nullable for the status 200

POST /{administration_id}/task_lists/{task_list_id}/groups{format}

  • ⚠️ the response property tasks/items/task_lists_group_id became nullable for the status 201

GET /{administration_id}/task_lists{format}

  • ⚠️ the response property items/groups/items/tasks/items/task_lists_group_id became nullable for the status 200

POST /{administration_id}/task_lists{format}

  • ⚠️ the response property groups/items/tasks/items/task_lists_group_id became nullable for the status 201

API Changelog v2-20261026-9251128ff4 vs. v2-20261026-d947393779

PATCH /{administration_id}/estimates/{id}/bill_estimate{format}

  • ⚠️ the time_entries/items/paused_duration response's property type changed from string to integer for status 200

GET /{administration_id}/sales_invoices/find_by_invoice_id/{invoice_id}{format}

  • ⚠️ the time_entries/items/paused_duration response's property type changed from string to integer for status 200

GET /{administration_id}/sales_invoices/find_by_reference/{reference}{format}

  • ⚠️ the time_entries/items/paused_duration response's property type changed from string to integer for status 200

POST /{administration_id}/sales_invoices/synchronization{format}

  • ⚠️ the items/time_entries/items/paused_duration response's property type changed from string to integer for status 200

PATCH /{administration_id}/sales_invoices/{id}/duplicate_creditinvoice{format}

  • ⚠️ the time_entries/items/paused_duration response's property type changed from string to integer for status 200

PATCH /{administration_id}/sales_invoices/{id}/mark_as_dubious{format}

  • ⚠️ the time_entries/items/paused_duration response's property type changed from string to integer for status 200

PATCH /{administration_id}/sales_invoices/{id}/mark_as_uncollectible{format}

  • ⚠️ the time_entries/items/paused_duration response's property type changed from string to integer for status 200

POST /{administration_id}/sales_invoices/{id}/pause{format}

  • ⚠️ the time_entries/items/paused_duration response's property type changed from string to integer for status 201

PATCH /{administration_id}/sales_invoices/{id}/register_payment_creditinvoice{format}

  • ⚠️ the time_entries/items/paused_duration response's property type changed from string to integer for status 200

POST /{administration_id}/sales_invoices/{id}/resume{format}

  • ⚠️ the time_entries/items/paused_duration response's property type changed from string to integer for status 201

PATCH /{administration_id}/sales_invoices/{id}/send_invoice{format}

  • ⚠️ the time_entries/items/paused_duration response's property type changed from string to integer for status 200

GET /{administration_id}/sales_invoices/{id}{format}

  • ⚠️ the time_entries/items/paused_duration response's property type changed from string to integer for status 200

PATCH /{administration_id}/sales_invoices/{id}{format}

  • ⚠️ the time_entries/items/paused_duration response's property type changed from string to integer for status 200

GET /{administration_id}/sales_invoices{format}

  • ⚠️ the items/time_entries/items/paused_duration response's property type changed from string to integer for status 200

POST /{administration_id}/sales_invoices{format}

  • ⚠️ the time_entries/items/paused_duration response's property type changed from string to integer for status 201

POST /{administration_id}/subscriptions/{id}/create_and_schedule_one_off_sales_invoice{format}

  • ⚠️ the time_entries/items/paused_duration response's property type changed from string to integer for status 201

PATCH /{administration_id}/time_entries/{id}/resume{format}

  • ⚠️ the sales_invoice/oneOf[#/components/schemas/sales_invoice_response]/time_entries/items/paused_duration response's property type changed from string to integer for status 200

PATCH /{administration_id}/time_entries/{id}/stop{format}

  • ⚠️ the sales_invoice/oneOf[#/components/schemas/sales_invoice_response]/time_entries/items/paused_duration response's property type changed from string to integer for status 200

GET /{administration_id}/time_entries/{id}{format}

  • ⚠️ the sales_invoice/oneOf[#/components/schemas/sales_invoice_response]/time_entries/items/paused_duration response's property type changed from string to integer for status 200

PATCH /{administration_id}/time_entries/{id}{format}

  • ⚠️ the sales_invoice/oneOf[#/components/schemas/sales_invoice_response]/time_entries/items/paused_duration response's property type changed from string to integer for status 200

GET /{administration_id}/time_entries{format}

  • ⚠️ the items/sales_invoice/oneOf[#/components/schemas/sales_invoice_response]/time_entries/items/paused_duration response's property type changed from string to integer for status 200

POST /{administration_id}/time_entries{format}

  • ⚠️ the sales_invoice/oneOf[#/components/schemas/sales_invoice_response]/time_entries/items/paused_duration response's property type changed from string to integer for status 201

API Changelog v2-20261026-d947393779 vs. v2-20261026-f697780991

PATCH /{administration_id}/estimates/{id}/bill_estimate{format}

  • ⚠️ this endpoint now requires the sales_invoices scope

PATCH /{administration_id}/estimates/{id}{format}

  • removed the pattern ^\d+$ from the request property estimate/estimate_sequence_id

POST /{administration_id}/estimates{format}

  • ⚠️ removed the request property estimate/remove_estimate_sequence_id
  • removed the pattern ^\d+$ from the request property estimate/estimate_sequence_id

PATCH /{administration_id}/sales_invoices/{id}/duplicate_creditinvoice{format}

  • added the new optional request property detail_ids

PATCH /{administration_id}/sales_invoices/{id}{format}

  • removed the pattern ^\d+$ from the request property sales_invoice/invoice_sequence_id

POST /{administration_id}/sales_invoices{format}

  • ⚠️ the request property sales_invoice became required
  • ⚠️ the request property sales_invoice/contact_id became required
  • removed the pattern ^\d+$ from the request property sales_invoice/invoice_sequence_id
Last modified on